# WOK
TKWOK
WOKUnix

# WOKUnix_CantBlockBuffer Class Reference

`#include <WOKUnix_CantBlockBuffer.hxx>`

Inheritance diagram for WOKUnix_CantBlockBuffer:

[legend]

## Public Member Functions

Standard_EXPORT | WOKUnix_CantBlockBuffer (const WOKUnix_FDescr &afd, const WOKUnix_BufferIs astd)
virtual Standard_EXPORT void | Select (Standard_Integer &afd, WOKUnix_Timeval &atimeout, WOKUnix_FDSet &aset) const
virtual Standard_EXPORT void | Acquit (const Standard_Integer astatus, const WOKUnix_FDSet &aset)
virtual Standard_EXPORT void | Close ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKUnix_FDescr | mybuffer

## Constructor & Destructor Documentation

Standard_EXPORT WOKUnix_CantBlockBuffer::WOKUnix_CantBlockBuffer | ( | const WOKUnix_FDescr & | afd,
|  | const WOKUnix_BufferIs | astd
| ) |

## Member Function Documentation

virtual Standard_EXPORT void WOKUnix_CantBlockBuffer::Acquit | ( | const Standard_Integer | astatus,
|  | const WOKUnix_FDSet & | aset
| ) | `[virtual]`

| Implements WOKUnix_Buffer.

virtual Standard_EXPORT void WOKUnix_CantBlockBuffer::Close | ( |  | ) | `[virtual]`

| Reimplemented from WOKUnix_Buffer.

Standard_EXPORT const WOKUnix_CantBlockBuffer::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKUnix_Buffer.

virtual Standard_EXPORT void WOKUnix_CantBlockBuffer::Select | ( | Standard_Integer & | afd,
|  | WOKUnix_Timeval & | atimeout,
|  | WOKUnix_FDSet & | aset
| ) | const`[virtual]`

| Implements WOKUnix_Buffer.

## Field Documentation

WOKUnix_FDescr WOKUnix_CantBlockBuffer::mybuffer `[private]`

The documentation for this class was generated from the following file:

- WOKUnix_CantBlockBuffer.hxx